using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputerStoreDatabase.Models;

public class ComponentsAssemblies
{
    public int AssemblyId { get; set; }

    [ForeignKey("AssemblyId")]
    public virtual Assembly Assembly { get; set; } = new();

    public int ComponentId { get; set; }

    [ForeignKey("ComponentId")]
    public virtual Component Component { get; set; } = new();
}
